﻿@using Canyon.GM.Panel.Helpers;
@using IdentityModel;
@using Microsoft.Extensions.Localization;
@inject IStringLocalizer StringLocalizer;

@{
    bool isHome = Context.Request.Path.StartsWithSegments("/", StringComparison.InvariantCultureIgnoreCase);
    bool isDashboard = Context.Request.Path.StartsWithSegments("/Dashboard", StringComparison.InvariantCultureIgnoreCase);
    bool isItemTracking = Context.Request.Path.StartsWithSegments("/ItemTracker", StringComparison.InvariantCultureIgnoreCase);
    bool isUsers = Context.Request.Path.StartsWithSegments("/User", StringComparison.InvariantCultureIgnoreCase);
    bool isArticles = Context.Request.Path.StartsWithSegments("/Articles", StringComparison.InvariantCultureIgnoreCase);
    bool isProducts = Context.Request.Path.StartsWithSegments("/Product", StringComparison.InvariantCultureIgnoreCase);
    bool isPurchases = Context.Request.Path.StartsWithSegments("/Purchase", StringComparison.InvariantCultureIgnoreCase);
    bool isRealms = Context.Request.Path.StartsWithSegments("/Realm", StringComparison.InvariantCultureIgnoreCase);
    bool isAudit = Context.Request.Path.StartsWithSegments("/Audit", StringComparison.InvariantCultureIgnoreCase);
}

<!DOCTYPE html>
<html lang="@User.GetCurrentLocale()">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData[TITLE] - GM Panel</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/lib/fontawesome-free-6.4.0-web/css/fontawesome.min.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/lib/fontawesome-free-6.4.0-web/css/all.min.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />

    @await RenderSectionAsync("Styles", required: false)
</head>
<body>
    <main class="d-flex flex-nowrap">
        <div class="d-flex flex-column flex-shrink-0 p-3 text-bg-dark" style="width: 280px;">
            <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-white text-decoration-none">
                <span class="fs-4">World Conquer Online</span>
            </a>
            <hr>
            <ul class="nav nav-pills flex-column mb-auto">
                <li class="nav-item">
                    <a asp-area="" asp-page="/Index" class="nav-link@(isHome ? " active" : " text-white")" aria-current="page">
                        <i class="pe-none me-2 fa-solid fa-house fa-15" aria-hidden="true"></i>
                        @StringLocalizer["Home"]
                    </a>
                </li>
                <li class="nav-item">
                    <a href="#" class="nav-link@(isDashboard ? " active" : " text-white")">
                        <i class="pe-none me-2 fa-solid fa-gauge fa-15" aria-hidden="true"></i>
                        @StringLocalizer["Dashboard"]
                    </a>
                </li>
                <li class="nav-item">
                    <a asp-area="Realm" asp-page="List" class="nav-link@(isRealms ? " active" : " text-white")">
                        <i class="pe-none me-2 fa-solid fa-server fa-15" aria-hidden="true"></i>
                        @StringLocalizer["Realms"]
                    </a>
                </li>
                <li class="nav-item">
                    <a asp-area="User" asp-page="List" class="nav-link@(isUsers ? " active" : " text-white")">
                        <i class="pe-none me-2 fa-solid fa-users fa-15" aria-hidden="true"></i>
                        @StringLocalizer["Users"]
                    </a>
                </li>
                <li class="nav-item">
                    <a href="#" class="nav-link@(isItemTracking ? " active" : " text-white")">
                        <i class="pe-none me-2 fa-solid fa-wand-sparkles fa-15" aria-hidden="true"></i>
                        @StringLocalizer["ItemTracking"]
                    </a>
                </li>
                <li class="nav-item">
                    <a asp-area="Articles" asp-page="List" class="nav-link@(isArticles ? " active" : " text-white")">
                        <i class="pe-none me-2 fa-solid fa-book fa-15" aria-hidden="true"></i>
                        @StringLocalizer["Articles"]
                    </a>
                </li>
                <li class="nav-item">
                    <a href="#" class="nav-link@(isProducts ? " active" : " text-white")">
                        <i class="pe-none me-2 fa-solid fa-shop fa-15" aria-hidden="true"></i>
                        @StringLocalizer["Products"]
                    </a>
                </li>
                <li class="nav-item">
                    <a href="#" class="nav-link@(isPurchases ? " active" : " text-white")">
                        <i class="pe-none me-2 fa-solid fa-cart-shopping fa-15" aria-hidden="true"></i>
                        @StringLocalizer["Purchases"]
                    </a>
                </li>
                <li class="nav-item">
                    <a asp-area="CreditCard" asp-page="List" class="nav-link@(isProducts ? " active" : " text-white")">
                        <i class="pe-none me-2 fa-solid fa-credit-card fa-15" aria-hidden="true"></i>
                        @StringLocalizer["CreditCards"]
                    </a>
                </li>
                <li class="nav-item">
                    <a href="#" class="nav-link@(isAudit ? " active" : " text-white")">
                        <i class="pe-none me-2 fa-solid fa-award fa-15" aria-hidden="true"></i>
                        @StringLocalizer["Rewards"]
                    </a>
                </li>
                <li class="nav-item">
                    <a href="#" class="nav-link@(isAudit ? " active" : " text-white")">
                        <i class="pe-none me-2 fa-solid fa-at fa-15" aria-hidden="true"></i>
                        @StringLocalizer["InGameMassEmail"]
                    </a>
                </li>
                <li class="nav-item">
                    <a href="#" class="nav-link@(isAudit ? " active" : " text-white")">
                        <i class="pe-none me-2 fa-solid fa-clipboard-list fa-15" aria-hidden="true"></i>
                        @StringLocalizer["Audit"]
                    </a>
                </li>
            </ul>
            <hr>
            <div class="dropdown">
                <a href="#" class="d-flex align-items-center text-white text-decoration-none dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
                    <img src="https://github.com/mdo.png" alt="" width="32" height="32" class="rounded-circle me-2">
                    <strong>@User.FindFirst(JwtClaimTypes.Name)?.Value</strong>
                </a>
                <ul class="dropdown-menu dropdown-menu-dark text-small shadow">
                    <li><a class="dropdown-item" href="#">@StringLocalizer["Settings"]</a></li>
                    <li><hr class="dropdown-divider"></li>
                    <li><a class="dropdown-item" href="#">@StringLocalizer["SignOut"]</a></li>
                </ul>
            </div>
        </div>

        <div class="container-fluid d-flex flex-column h-100 overflow-auto">
            <div class="pt-3 pb-2 mb-3 border-bottom">
                <h1 class="h2">@ViewData[TITLE]</h1>
                @if (!string.IsNullOrEmpty(ViewData[CONTAINER_SUBTITLE_NAME]?.ToString()))
                {
                    <p>@ViewData[CONTAINER_SUBTITLE_NAME]</p>
                }
            </div>

            @RenderBody()

            <div class="footer mt-auto">
                <footer class="d-flex flex-wrap justify-content-between align-items-center py-3 my-4 border-top footer-container">
                    <p class="col-md-4 mb-0 text-muted">
                        &copy; World Conquer Online 2023
                        <br/>
                        <small class="text-muted">@StringLocalizer["Version"]: @Program.Version.Split('+')[0]</small>
                        <br />
                        <small class="mb-3 text-muted">@StringLocalizer["BuildTime"]: @Program.BuildTime.ToLocalTime()</small>
                    </p>

                    <a href="/" class="col-md-4 d-flex align-items-center justify-content-center align-middle mb-3 mb-md-0 me-md-auto link-dark text-decoration-none">
                        <img class="bi me-2" height="32" src="~/images/logo-light.png" alt="logo">
                    </a>

                    <ul class="nav col-md-4 justify-content-end">
                        <li class="nav-item"><a href="https://worldconquer.online/Home" class="nav-link px-2 text-muted">@StringLocalizer["OfficialSite"]</a></li>
                    </ul>
                </footer>
            </div>
        </div>
    </main>

    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>

    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>